function Restart-Domain-Computer
{
    $computername = Read-Host 'Please enter a computer name'
    Restart-Computer -Force -ComputerName $computername
    sleep 30
    while ($status -eq $null)
    {
        if(Test-Connection `
            -Computername $computername `
            -BufferSize 16 `
            -Count 1 `
            -Quiet){break}
        Write-Host 'Still offline'
        sleep 5
    }
    Write-Host -foregroundcolor "green" $computername ' is online'
    Read-Host 'Press a key to quit'
}

Restart-Domain-Computer
